---
title: CSSNumericValue.add()
slug: Web/API/CSSNumericValue/add
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - add()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>add()</code></strong> method of the {{domxref("CSSNumericValue")}} interface adds a supplied number to the <code>CSSNumericValue</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var cssMathSum = CSSNumericValue.add(double | CSSNumericValue);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>number</dt>
 <dd>either a {{jsxref('Number')}} or a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('CSSMathSum')}}</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>Indicates that an invalid type was passed to the method.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let mathSum = CSS.px("23").add(CSS.percent("4")).add(CSS.cm("3")).add(CSS.in("9"));
// Prints "calc(23px + 4% + 3cm + 9in)"
console.log(mathSum.toString());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-add','add')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.add")}}</p>
